org.richfaces.ui.input.autocomplete

## Class UIAutocomplete

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.ui.input.autocomplete.AbstractAutocomplete
          - - org.richfaces.ui.input.autocomplete.UIAutocomplete

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxEventsProps, EventsKeyProps, EventsMouseProps, FocusProps, StyleClassProps, StyleProps, MetaComponentEncoder, MetaComponentResolver

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIAutocomplete
      extends AbstractAutocomplete
      implements javax.faces.component.behavior.ClientBehaviorHolder, AjaxEventsProps, EventsKeyProps, EventsMouseProps, FocusProps, StyleClassProps, StyleProps, MetaComponentEncoder, MetaComponentResolver

  The <r:autocomplete> component is an auto-completing input-box with built-in Ajax capabilities. It supports client-side suggestions, browser-like selection, and customization of the look and feel.

  Author:
    Lukas Fryc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIAutocomplete.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAutocomplete()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAutocompleteList()` A collection of suggestions that will be resented to the user
    `javax.el.MethodExpression` | `getAutocompleteMethod()` A method which returns a list of suggestions according to a supplied prefix
    `String` | `getClientFilterFunction()` A javascript function used to filter the result list returned from the ajax call to the server.
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `Object` | `getFetchValue()` A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table.
    `int` | `getMinChars()` Minimal number of chars in input to activate suggestion popup
    `AutocompleteMode` | `getMode()` Determine how the suggestion list is requested:
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code triggered when the field is blurred, if the value has changed.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOnclose()` Javascript code triggered when the menu is hidden.
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnerror()` The client-side script method to be called when an error has occurred during Ajax communications
    `String` | `getOnfocus()` Javascript code triggered when focus is moved to an item (not selecting).
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnopen()` Javascript code triggered when the suggestion menu is opened or updated.
    `String` | `getOnresponse()` Javascript code triggered after a search completes, before the menu is shown.
    `String` | `getOnsearch()` Javascript code triggered before a search is performed, after minLength and delay are met.
    `String` | `getOnselect()` Javascript code triggered when an item is selected from the menu.
    `String` | `getOnselectitem()`
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabindex()` Position of this element in the tabbing order for the current document.
    `String` | `getTokens()` Allow a user to enter multiple values separated by specific characters.
    `String` | `getVar()` A request-scope attribute via which the data object for the current row will be used when iterating
    `boolean` | `isAutofill()` Causes the combo-box to fill the text field box with a matching suggestion as the user types
    `boolean` | `isDisabled()` Boolean value indicating whether this component is disabled
    `boolean` | `isSelectFirst()` Boolean value indicating whether the first suggestion item is selected as the user types
    `boolean` | `isShowButton()` Boolean value indicating whether to display a button to expand the popup suggestion element
    `void` | `setAutocompleteList(Object autocompleteList)`
    `void` | `setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)`
    `void` | `setAutofill(boolean autofill)`
    `void` | `setClientFilterFunction(String clientFilterFunction)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setFetchValue(Object fetchValue)`
    `void` | `setMinChars(int minChars)`
    `void` | `setMode(AutocompleteMode mode)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOnclose(String onclose)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnerror(String onerror)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnopen(String onopen)`
    `void` | `setOnresponse(String onresponse)`
    `void` | `setOnsearch(String onsearch)`
    `void` | `setOnselect(String onselect)`
    `void` | `setOnselectitem(String onselectitem)`
    `void` | `setSelectFirst(boolean selectFirst)`
    `void` | `setShowButton(boolean showButton)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTokens(String tokens)`
    `void` | `setVar(String var)`

    - ### Methods inherited from class org.richfaces.ui.input.autocomplete.AbstractAutocomplete

      `encodeMetaComponent, getLayout, resolveClientId, setLayout, substituteUnresolvedClientId, visitTree`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.ui.common.meta.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAutocomplete

          public UIAutocomplete()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAutocompleteList

          public Object getAutocompleteList()

      Description copied from class: `AbstractAutocomplete`
      A collection of suggestions that will be resented to the user
      Specified by:
        `getAutocompleteList` in class `AbstractAutocomplete`

    - #### setAutocompleteList

          public void setAutocompleteList(Object autocompleteList)

    - #### getAutocompleteMethod

          public javax.el.MethodExpression getAutocompleteMethod()

      Description copied from class: `AbstractAutocomplete`
      A method which returns a list of suggestions according to a supplied prefix
      Specified by:
        `getAutocompleteMethod` in class `AbstractAutocomplete`

    - #### setAutocompleteMethod

          public void setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)

      Specified by:
        `setAutocompleteMethod` in class `AbstractAutocomplete`

    - #### isAutofill

          public boolean isAutofill()

      Description copied from class: `AbstractAutocomplete`
      Causes the combo-box to fill the text field box with a matching suggestion as the user types
      Specified by:
        `isAutofill` in class `AbstractAutocomplete`

    - #### setAutofill

          public void setAutofill(boolean autofill)

    - #### getClientFilterFunction

          public String getClientFilterFunction()

      Description copied from class: `AbstractAutocomplete`

      A javascript function used to filter the result list returned from the ajax call to the server. This function should have two parameters; subString(current input value considering tokens) and value (currently iterated item value) and return boolean flag which means if the value satisfies the substring passed. The function will be called for every available suggestion in order to construct a new list of suggestions.

      Default: A javascript method called startsWith

      Specified by:
        `getClientFilterFunction` in class `AbstractAutocomplete`

    - #### setClientFilterFunction

          public void setClientFilterFunction(String clientFilterFunction)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from class: `AbstractAutocomplete`
      Boolean value indicating whether this component is disabled

      Default: false

      Specified by:
        `isDisabled` in class `AbstractAutocomplete`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getFetchValue

          public Object getFetchValue()

      Description copied from class: `AbstractAutocomplete`
      A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table. It can be used for descriptive output comments or suggestions. If not set, all text in the suggestion row is set as a value
      Specified by:
        `getFetchValue` in class `AbstractAutocomplete`

    - #### setFetchValue

          public void setFetchValue(Object fetchValue)

    - #### getMinChars

          public int getMinChars()

      Description copied from class: `AbstractAutocomplete`
      Minimal number of chars in input to activate suggestion popup
      Specified by:
        `getMinChars` in class `AbstractAutocomplete`

    - #### setMinChars

          public void setMinChars(int minChars)

    - #### getMode

          public AutocompleteMode getMode()

      Description copied from class: `AbstractAutocomplete`

      Determine how the suggestion list is requested:

      client
        pre-loads data to the client and uses the input to filter the possible suggestions
      ajax
        fetches suggestions with every input change using Ajax requests
      cachedAjax
        pre-loads data via Ajax requests when the input length matches a minimum value. Set the minimum value with the minChars attribute. All suggestions are handled on the client until the input prefix is changed, at which point a new request is made based on the new input prefix

      Default: cachedAjax

      Specified by:
        `getMode` in class `AbstractAutocomplete`

    - #### setMode

          public void setMode(AutocompleteMode mode)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

      Description copied from interface: `AjaxEventsProps`
      The client-side script method to be called after the ajax response comes back, but before the DOM is updated
      Specified by:
        `getOnbeforedomupdate` in interface `AjaxEventsProps`

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbegin

          public String getOnbegin()

      Description copied from interface: `AjaxEventsProps`
      The client-side script method to be called before an ajax request.
      Specified by:
        `getOnbegin` in interface `AjaxEventsProps`

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnblur

          public String getOnblur()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in interface `FocusProps`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered when the field is blurred, if the value has changed.
      Specified by:
        `getOnchange` in class `AbstractAutocomplete`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOnclose

          public String getOnclose()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered when the menu is hidden. Not every close event will be accompanied by a change event.
      Specified by:
        `getOnclose` in class `AbstractAutocomplete`

    - #### setOnclose

          public void setOnclose(String onclose)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from interface: `AjaxEventsProps`
      The client-side script method to be called after the DOM is updated
      Specified by:
        `getOncomplete` in interface `AjaxEventsProps`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnerror

          public String getOnerror()

      Description copied from class: `AbstractAutocomplete`
      The client-side script method to be called when an error has occurred during Ajax communications
      Specified by:
        `getOnerror` in class `AbstractAutocomplete`

    - #### setOnerror

          public void setOnerror(String onerror)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered when focus is moved to an item (not selecting). The default action is to replace the text field's value with the value of the focused item, though only if the event was triggered by a keyboard interaction. Canceling this event prevents the value from being updated, but does not prevent the menu item from being focused.
      Specified by:
        `getOnfocus` in interface `FocusProps`
      Specified by:
        `getOnfocus` in class `AbstractAutocomplete`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnopen

          public String getOnopen()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered when the suggestion menu is opened or updated.
      Specified by:
        `getOnopen` in class `AbstractAutocomplete`

    - #### setOnopen

          public void setOnopen(String onopen)

    - #### getOnresponse

          public String getOnresponse()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered after a search completes, before the menu is shown. Useful for local manipulation of suggestion data, where a custom source option callback is not required. This event is always triggered when a search completes, even if the menu will not be shown because there are no results or the Autocomplete is disabled.
      Specified by:
        `getOnresponse` in class `AbstractAutocomplete`

    - #### setOnresponse

          public void setOnresponse(String onresponse)

    - #### getOnsearch

          public String getOnsearch()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered before a search is performed, after minLength and delay are met. If canceled, then no request will be started and no items suggested.
      Specified by:
        `getOnsearch` in class `AbstractAutocomplete`

    - #### setOnsearch

          public void setOnsearch(String onsearch)

    - #### getOnselect

          public String getOnselect()

      Description copied from class: `AbstractAutocomplete`
      Javascript code triggered when an item is selected from the menu. The default action is to replace the text field's value with the value of the selected item. Canceling this event prevents the value from being updated, but does not prevent the menu from closing.
      Specified by:
        `getOnselect` in class `AbstractAutocomplete`

    - #### setOnselect

          public void setOnselect(String onselect)

    - #### getOnselectitem

          public String getOnselectitem()

      Specified by:
        `getOnselectitem` in class `AbstractAutocomplete`

    - #### setOnselectitem

          public void setOnselectitem(String onselectitem)

    - #### isSelectFirst

          public boolean isSelectFirst()

      Description copied from class: `AbstractAutocomplete`
      Boolean value indicating whether the first suggestion item is selected as the user types

      Default: true

      Specified by:
        `isSelectFirst` in class `AbstractAutocomplete`

    - #### setSelectFirst

          public void setSelectFirst(boolean selectFirst)

    - #### isShowButton

          public boolean isShowButton()

      Description copied from class: `AbstractAutocomplete`

      Boolean value indicating whether to display a button to expand the popup suggestion element

      Default: false

      Specified by:
        `isShowButton` in class `AbstractAutocomplete`

    - #### setShowButton

          public void setShowButton(boolean showButton)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from interface: `FocusProps`
      Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.
      Specified by:
        `getTabindex` in interface `FocusProps`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTokens

          public String getTokens()

      Description copied from class: `AbstractAutocomplete`

      Allow a user to enter multiple values separated by specific characters. As the user types, a suggestion will present as normal. When they enter the specified token character, this begins a new suggestion process, and the component will then only use text entered after the token character for suggestions.

      Make sure that no character defined in tokens is part of any suggestion value. E.g. do not use space as a token if you expect to allow spaces in suggestion values.

      When tokens defined, they can be naturally separated by space character - input separated by tokens ', ' or ' ,' will be considered as it would be ',' token without any space.

      Specified by:
        `getTokens` in class `AbstractAutocomplete`

    - #### setTokens

          public void setTokens(String tokens)

    - #### getVar

          public String getVar()

      Description copied from class: `AbstractAutocomplete`
      A request-scope attribute via which the data object for the current row will be used when iterating
      Specified by:
        `getVar` in class `AbstractAutocomplete`

    - #### setVar

          public void setVar(String var)

Copyright © 2014 JBoss by Red Hat. All rights reserved.